package com.ruoyi.web.dashboard;

import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dashboard.domain.stat.StatQuery;
import com.ruoyi.dashboard.service.DashboardService;

@RestController
@RequestMapping("/dashboard")
public class DashboardController extends BaseController {

    @Autowired
    private DashboardService dashboardService;

    @ApiOperation("获取统计数据")
    @PreAuthorize("@ss.hasAnyPermi('dashboard:stat')")
    @GetMapping("/stat")
    public AjaxResult getStat(StatQuery query) {
        query.setScope(true);
        return success(dashboardService.selectStat(query));
    }
}
